
Figure - Bug #118949
【AF】【EVT3】【中控联调】OTA升级后连接中控->时间不同步、网络图标不同步、音量亮度调节不同步
2023-06-30 18:31 - CD TEST-方永红

Status: NEED_INFO Start date: 2023-06-30

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 0629-OTA-0630

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【测试步骤】

1、单副屏0629-OTA-0630

2、插入中控网线等

->时间不同步、网络图标不同步、音量亮度调节不同步

3、断电重启

->时间同步、wifi图标同步，但是副屏不显示“无服务”

4、断开网线

->副屏出现“无服务”

5、插入网线

->正常同步

日志已飞书提供

Related issues:

Related to Figure - Bug # 118950: 【AF】【EVT3】【中控联调】 OTA升级后... CLOSED 2023-06-30

History

#1 - 2023-07-04 20:52 - CD FW-廖涛

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Need_Info changed from -- to TEST

■ My analysis

从第 431 次开机的日志分析，微服务没有与中控成功建立连接，副屏一直处于网络不通的状态，所以副屏的相关表现属于正常情况。由于没有现场，无

法分析副屏网络不通的原因，需要复现后现场看副屏与中控的网络连通性。

06-30 10:11:46.645  2306  2624 E MicroService: DTC_ETH: BaseMicroSocketClient:createClientSocket() 

06-30 10:11:46.645  2306  2624 E MicroService: java.net.NoRouteToHostException: Host unreachable

06-30 10:11:46.645  2306  2624 E MicroService:     at libcore.io.IoBridge.connect(IoBridge.java:183)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.PlainSocketImpl.socketConnect(PlainSocketImpl.java:142)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:390)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:230)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:212)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:436)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.Socket.connect(Socket.java:621)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.Socket.connect(Socket.java:570)
06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.Socket.<init>(Socket.java:450)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.net.Socket.<init>(Socket.java:292)

06-30 10:11:46.645  2306  2624 E MicroService:     at com.thundercomm.microservice.base.BaseMicroSocketClient.createClientSocket(BaseMicroSocketClient.java:20)

06-30 10:11:46.645  2306  2624 E MicroService:     at com.thundercomm.microservice.MicroSocketClient.serialSendMessage(MicroSocketClient.java:100)

06-30 10:11:46.645  2306  2624 E MicroService:     at

com.thundercomm.microservice.MicroSocketClient.lambda$handShark$1$MicroSocketClient(MicroSocketClient.java:115)

06-30 10:11:46.645  2306  2624 E MicroService:     at com.thundercomm.microservice.MicroSocketClient$$ExternalSyntheticLambda0.run(Unknown Source:4)

06-30 10:11:46.645  2306  2624 E MicroService:     at java.lang.Thread.run(Thread.java:920)

■ Next action

需要复现后现场抓取相关日志数据进行分析。

#2 - 2023-07-17 16:18 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 移动测试一组_CDTS 刘强

#3 - 2023-07-18 14:28 - 移动测试一组_CDTS 刘强

Release版本 120

Release版本 122

未复现

#4 - 2023-07-20 17:35 - 移动测试一组_CDTS 刘强

DB_0720 手动验证10次未复现

#5 - 2023-08-02 15:58 - 移动测试一组_CDTS 刘强

0128 压测30次未复现
